export interface Resource {
  idResource?: string;
  resourceName?: string;
  description?: string;
  links?:string[];
  resourceOrigin?: string;
  resourceType?: ResourceType;
  sectors?: Sector[];
  regions?: Region[];
  keywordsTemp?:string[];
  keywords?: Keyword[];
  language?: Language;
  project?: Project;
  contactName?: string;
  contactInstitution?: string;
  contactEmail?: string;
  contactPhone?: string;
}


export class ResourceType{
  public idResourceType!:string;
  public name!: string;
}
export class Sector{
  public idSector!: string;
  public name!: string;
}
export class Region{
  public idRegion!: string;
  public name!: string;
}
export class Language{
  public idLanguage!: string;
  public name!: string;
}
export class Project{
  public idProject!: string;
  public name!: string;
  public description!: string;
}
export class Keyword{
  public idKeyword!: string;
  public name!: string;
}
